omni.isaac.orbit.terrains
=========================

.. automodule:: omni.isaac.orbit.terrains
   :members:
   :undoc-members:
   :show-inheritance:

Terrain importer
----------------

.. autoclass:: omni.isaac.orbit.terrains.terrain_cfg.TerrainImporterCfg
    :members:
    :show-inheritance:

.. autoclass:: omni.isaac.orbit.terrains.terrain_importer.TerrainImporter
    :members:
    :show-inheritance:

Terrain generator
-----------------

.. autoclass:: omni.isaac.orbit.terrains.terrain_cfg.SubTerrainBaseCfg
    :members:
    :show-inheritance:

.. autoclass:: omni.isaac.orbit.terrains.terrain_cfg.TerrainGeneratorCfg
    :members:
    :show-inheritance:

.. autoclass:: omni.isaac.orbit.terrains.terrain_generator.TerrainGenerator
    :members:
    :show-inheritance:

Height fields
-------------

.. automodule:: omni.isaac.orbit.terrains.height_field

Random Uniform Terrain
^^^^^^^^^^^^^^^^^^^^^^

.. autofunction:: omni.isaac.orbit.terrains.height_field.hf_terrains.random_uniform_terrain

.. autoclass:: omni.isaac.orbit.terrains.height_field.hf_terrains_cfg.HfRandomUniformTerrainCfg
    :members:
    :show-inheritance:

Pyramid Sloped Terrain
^^^^^^^^^^^^^^^^^^^^^^

.. autofunction:: omni.isaac.orbit.terrains.height_field.hf_terrains.pyramid_sloped_terrain

.. autoclass:: omni.isaac.orbit.terrains.height_field.hf_terrains_cfg.HfPyramidSlopedTerrainCfg
    :members:
    :show-inheritance:

.. autoclass:: omni.isaac.orbit.terrains.height_field.hf_terrains_cfg.HfInvertedPyramidSlopedTerrainCfg
    :members:
    :show-inheritance:

Pyramid Stairs Terrain
^^^^^^^^^^^^^^^^^^^^^^

.. autofunction:: omni.isaac.orbit.terrains.height_field.hf_terrains.pyramid_stairs_terrain

.. autoclass:: omni.isaac.orbit.terrains.height_field.hf_terrains_cfg.HfPyramidStairsTerrainCfg
    :members:
    :show-inheritance:

.. autoclass:: omni.isaac.orbit.terrains.height_field.hf_terrains_cfg.HfInvertedPyramidStairsTerrainCfg
    :members:
    :show-inheritance:

Discrete Obstacles Terrain
^^^^^^^^^^^^^^^^^^^^^^^^^^

.. autofunction:: omni.isaac.orbit.terrains.height_field.hf_terrains.discrete_obstacles_terrain

.. autoclass:: omni.isaac.orbit.terrains.height_field.hf_terrains_cfg.HfDiscreteObstaclesTerrainCfg
    :members:
    :show-inheritance:

Wave Terrain
^^^^^^^^^^^^

.. autofunction:: omni.isaac.orbit.terrains.height_field.hf_terrains.wave_terrain

.. autoclass:: omni.isaac.orbit.terrains.height_field.hf_terrains_cfg.HfWaveTerrainCfg
    :members:
    :show-inheritance:

Stepping Stones Terrain
^^^^^^^^^^^^^^^^^^^^^^^

.. autofunction:: omni.isaac.orbit.terrains.height_field.hf_terrains.stepping_stones_terrain

.. autoclass:: omni.isaac.orbit.terrains.height_field.hf_terrains_cfg.HfSteppingStonesTerrainCfg
    :members:
    :show-inheritance:

Trimesh terrains
----------------

.. automodule:: omni.isaac.orbit.terrains.trimesh


Flat terrain
^^^^^^^^^^^^

.. autofunction:: omni.isaac.orbit.terrains.trimesh.mesh_terrains.flat_terrain

.. autoclass:: omni.isaac.orbit.terrains.trimesh.mesh_terrains_cfg.MeshPlaneTerrainCfg
    :members:
    :show-inheritance:

Pyramid terrain
^^^^^^^^^^^^^^^

.. autofunction:: omni.isaac.orbit.terrains.trimesh.mesh_terrains.pyramid_stairs_terrain

.. autoclass:: omni.isaac.orbit.terrains.trimesh.mesh_terrains_cfg.MeshPyramidStairsTerrainCfg
    :members:
    :show-inheritance:

Inverted pyramid terrain
^^^^^^^^^^^^^^^^^^^^^^^^

.. autofunction:: omni.isaac.orbit.terrains.trimesh.mesh_terrains.inverted_pyramid_stairs_terrain

.. autoclass:: omni.isaac.orbit.terrains.trimesh.mesh_terrains_cfg.MeshInvertedPyramidStairsTerrainCfg
    :members:
    :show-inheritance:

Random grid terrain
^^^^^^^^^^^^^^^^^^^

.. autofunction:: omni.isaac.orbit.terrains.trimesh.mesh_terrains.random_grid_terrain

.. autoclass:: omni.isaac.orbit.terrains.trimesh.mesh_terrains_cfg.MeshRandomGridTerrainCfg
    :members:
    :show-inheritance:

Rails terrain
^^^^^^^^^^^^^

.. autofunction:: omni.isaac.orbit.terrains.trimesh.mesh_terrains.rails_terrain

.. autoclass:: omni.isaac.orbit.terrains.trimesh.mesh_terrains_cfg.MeshRailsTerrainCfg
    :members:
    :show-inheritance:

Pit terrain
^^^^^^^^^^^

.. autofunction:: omni.isaac.orbit.terrains.trimesh.mesh_terrains.pit_terrain

.. autoclass:: omni.isaac.orbit.terrains.trimesh.mesh_terrains_cfg.MeshPitTerrainCfg
    :members:
    :show-inheritance:

Box terrain
^^^^^^^^^^^^^

.. autofunction:: omni.isaac.orbit.terrains.trimesh.mesh_terrains.box_terrain

.. autoclass:: omni.isaac.orbit.terrains.trimesh.mesh_terrains_cfg.MeshBoxTerrainCfg
    :members:
    :show-inheritance:

Gap terrain
^^^^^^^^^^^

.. autofunction:: omni.isaac.orbit.terrains.trimesh.mesh_terrains.gap_terrain

.. autoclass:: omni.isaac.orbit.terrains.trimesh.mesh_terrains_cfg.MeshGapTerrainCfg
    :members:
    :show-inheritance:

Floating ring terrain
^^^^^^^^^^^^^^^^^^^^^

.. autofunction:: omni.isaac.orbit.terrains.trimesh.mesh_terrains.floating_ring_terrain

.. autoclass:: omni.isaac.orbit.terrains.trimesh.mesh_terrains_cfg.MeshFloatingRingTerrainCfg
    :members:
    :show-inheritance:

Star terrain
^^^^^^^^^^^^

.. autofunction:: omni.isaac.orbit.terrains.trimesh.mesh_terrains.star_terrain

.. autoclass:: omni.isaac.orbit.terrains.trimesh.mesh_terrains_cfg.MeshStarTerrainCfg
    :members:
    :show-inheritance:


Repeated Objects Terrain
^^^^^^^^^^^^^^^^^^^^^^^^

.. autofunction:: omni.isaac.orbit.terrains.trimesh.mesh_terrains.repeated_objects_terrain

.. autoclass:: omni.isaac.orbit.terrains.trimesh.mesh_terrains_cfg.MeshRepeatedObjectsTerrainCfg
    :members:
    :show-inheritance:

.. autoclass:: omni.isaac.orbit.terrains.trimesh.mesh_terrains_cfg.MeshRepeatedPyramidsTerrainCfg
    :members:
    :show-inheritance:

.. autoclass:: omni.isaac.orbit.terrains.trimesh.mesh_terrains_cfg.MeshRepeatedBoxesTerrainCfg
    :members:
    :show-inheritance:

.. autoclass:: omni.isaac.orbit.terrains.trimesh.mesh_terrains_cfg.MeshRepeatedCylindersTerrainCfg
    :members:
    :show-inheritance:

Utilities
---------

.. automodule:: omni.isaac.orbit.terrains.utils
    :members:
    :undoc-members:
